## pcp 2.7.4-20080507

=== src/pmtop/Makefile ===
#!smake
#
PCP_SRC_DEPTH = ../../src
include $(ROOT)/usr/include/make/commondefs
include $(PCP_SRC_DEPTH)/include/commondefs

CFILES	= pmtop.c
TARGETS	= pmtop
LCOPTS	= -fullwarn $(PCP_INC_PATH)
LCDEFS	= $(DEBUG)
LLDOPTS	= $(PCP_LIBS_PATH)
LLDLIBS	= -lpcp -lgen
IDBTAG	= PMTOP
LDIRT	=

default:	$(TARGETS)

include $(COMMONRULES)

install:	$(TARGETS)
	$(INSTALL) -F /usr/sbin -m 555 -idb "$(IDBTAG) $(STRIPBIN)" pmtop

pmtop:	$(OBJECTS)
	rm -f $@
	$(CCF) -o $@ $(OBJECTS) $(LDOPTS) $(LDLIBS)
	$(TAG) 0x00010D14 $@
