=== src/pmdas/hotproc/Makefile ===
#!smake
#
# $Id: Makefile,v 1.6 2004/05/20 01:23:03 kenmcd Exp $
#

LTARGETS	= help.dir
LLDIRT	 	= domain.h *.log *.dir *.pag pmns help

PCP_SRC_DEPTH = ../..
include $(PCP_SRC_DEPTH)/include/commondefs
include $(PCP_SRC_DEPTH)/include/isacommondefs

PROC_DIR = ../proc
IAM	 = hotproc
DOMAIN	 = HOTPROC
IDBTAG	 = PMDA_$(DOMAIN)
PMDADIR	 = $(PCP_PMDAS_DIR)/$(IAM)

install: default 
	$(INSTALL) -F /usr/pcp/lib -idb "$(IDBTAG)" -lns ../../..$(PMDADIR)/pmda$(IAM) pmda$(IAM)
	$(INSTALL) -idb '$(IDBTAG) removeop("rm -f $$rbase$(PMDADIR)/help.*")' -m 755 -dir $(PMDADIR)
	$(INSTALL) -F /usr/pcp/pmdas -idb "$(IDBTAG)" -lns ../../..$(PMDADIR) $(IAM)
#if $(BEFORE_IRIX6_5)
	$(I_32) $(INSTALL) -f $(PMDADIR) -idb "$(IDBTAG) $(MODE32) $(STRIPBIN)" -m 555 -src 32/pmda$(IAM) pmda$(IAM)
	$(I_64) $(INSTALL) -f $(PMDADIR) -idb "$(IDBTAG) $(MODE64) $(STRIPBIN)" -m 555 -src 64/pmda$(IAM) pmda$(IAM)
#else
	$(I_N32) $(INSTALL) -f $(PMDADIR) -idb "$(IDBTAG) $(MODE32) $(STRIPBIN)" -m 555 -src N32/pmda$(IAM) pmda$(IAM)
	$(I_64) $(INSTALL) -f $(PMDADIR) -idb "$(IDBTAG) $(MODE64) $(STRIPBIN)" -m 555 -src 64/pmda$(IAM) pmda$(IAM)
#endif
	$(INSTALL) -f $(PMDADIR) -idb "$(IDBTAG)" -m 555 Install Remove
	$(INSTALL) -f $(PMDADIR) -idb "$(IDBTAG)" -m 444 README root help pmns domain.h sample.conf general.conf general.pmie
	$(INSTALL) -f $(PMDADIR) -idb "$(IDBTAG)" -m 444 -src Makefile.install Makefile

help: $(PROC_DIR)/help help.hotproc pmns
	sed < $(PROC_DIR)/help -e 's/proc\./hotproc./g' \
		 -e 's/number of processes/number of "interesting" processes/g' \
	| cat - help.hotproc | ./help.fmt > $@ 

help.dir: domain.h help root pmns ../../buildtools/newhelp
	PCP_SRC_DEPTH=$(PCP_SRC_DEPTH) $(PCP_SRC_DEPTH)/buildtools/check_help_src help root

pmns: $(PROC_DIR)/root_proc pmns.hotproc fixpmns.awk
	nawk < $(PROC_DIR)/root_proc -f fixpmns.awk \
	| sed -e '/[ 	]PROC:/s/PROC:/HOTPROC:/g' -e 's/^proc/hotproc/g' \
	| cat - pmns.hotproc >$@

.NOTPARALLEL:
.ORDER: domain.h $(OBJECTS)

domain.h:	../../pmns/stdpmid
	rm -f domain.h
	echo "/*" >domain.h
	echo " * built from $(PCP_VAR_DIR)/pmns/stdpmid" >>domain.h
	echo " */" >>domain.h
	nawk <../../pmns/stdpmid >>domain.h '/#define[ 	][ 	]*$(DOMAIN)[ 	]/ { print "#define $(DOMAIN) " $$3 }'
