=== debian/changelog ===
pcp (2.7.4-20080507) unstable; urgency=low

  * Fix location of pcp.conf - moved into libpcp runtime.
  * Introduce a shlibs.local file to track package inter-dependencies.

 -- Nathan Scott <nathans@debian.org>  Wed, 07 May 2008 16:43:34 +1000

pcp (2.7.4-20080506) unstable; urgency=low

  * Fix location of headers - moved into dev packages.

 -- Nathan Scott <nathans@debian.org>  Tue, 06 May 2008 21:14:07 +1000

pcp (2.7.4-20080430) unstable; urgency=low

  * Fix network interface speed metrics.
  * Fix "/etc/init.d/pmie status" reporting on running pmies.

 -- Nathan Scott <nathans@debian.org>  Wed, 30 Apr 2008 07:44:51 +1000

pcp (2.7.4-20080418) unstable; urgency=low

  * Resolve duplicate names with pgpool2 (closes: #476605)

 -- Nathan Scott <nathans@debian.org>  Fri, 18 Apr 2008 11:14:45 +1000

pcp (2.7.4-20080415) unstable; urgency=low

  * Improve path handling in pcp.env.
  * Cygwin and Mac OS X ps fixes making daemon restart reliable.
  * Mac OS X local context support.
  * Improve kmchart integration.

 -- Nathan Scott <nathans@debian.org>  Tue, 15 Apr 2008 17:27:49 +1000

pcp (2.7.4-20080404) unstable; urgency=low

  * Fix builds on systems without deprecated C++ headers.

 -- Nathan Scott <nathans@debian.org>  Fri, 04 Apr 2008 10:40:01 +1100

pcp (2.7.4-20080402) unstable; urgency=low

  * Man page install now uses a deterministic sort (closes: #472322).

 -- Nathan Scott <nathans@debian.org>  Wed, 02 Apr 2008 15:56:35 +1100

pcp (2.7.4-20080331) unstable; urgency=low

  * Jstat PMDA tweaks and Cygwin build updates.

 -- Nathan Scott <nathans@debian.org>  Mon, 31 Mar 2008 16:24:03 +1100

pcp (2.7.4-20080326) unstable; urgency=low

  * Fix pmloglabel exit status.

 -- Nathan Scott <nathans@debian.org>  Wed, 26 Mar 2008 10:16:32 +1100

pcp (2.7.4-20080322) unstable; urgency=low

  * Fix pmie_check script use of control file variable.
  * Add pmloglabel tool for fixing corrupt archive labels.

 -- Nathan Scott <nathans@debian.org>  Sat, 22 Mar 2008 15:36:55 +1100

pcp (2.7.4-20080317) unstable; urgency=low

  * Fix curses package dependencies (closes: #471220)

 -- Nathan Scott <nathans@debian.org>  Mon, 17 Mar 2008 11:37:57 +1100

pcp (2.7.4-20080312) unstable; urgency=low

  * Add procps package dependencies (closes: #470326)
  * Resolve several lintian warnings on source package.

 -- Nathan Scott <nathans@debian.org>  Wed, 12 Mar 2008 05:39:40 +1100

pcp (2.7.4-20080306) unstable; urgency=low

  * Initial version of Debian packaging of PCP (closes: #105587)

 -- Nathan Scott <nathans@debian.org>  Thu, 06 Mar 2008 20:55:42 +1100
