## pcp 2.7.8-20081205

=== debian/changelog ===
pcp (2.7.8-20081205) unstable; urgency=low

  * Fix perl PMDA interface build (closes: #507830)

 -- Nathan Scott <nathans@debian.org>  Fri, 05 Dec 2008 16:48:04 +1100

pcp (2.7.8-20081201) unstable; urgency=low

  * Merged with new code from SGI.
  * Infiniband and KVM PMDAs included.
  * Added PCP::LogSummary module - libpcp-logsummary-perl.
  * Fixes build issue with gcc 4.4 (closes: #504832)

 -- Nathan Scott <nathans@debian.org>  Mon, 01 Dec 2008 13:14:41 +1100

pcp (2.7.7-20080924) unstable; urgency=low

  * Merged with new code from SGI.
  * VMware PMDA included, memcached PMDA updated.

 -- Nathan Scott <nathans@debian.org>  Wed, 24 Sep 2008 17:55:14 +1000

pcp (2.7.4-20081001) unstable; urgency=low

  * Added the Perl PCP::PMDA interface package - libpcp-pmda-perl.
  * Several new Perl PMDAs (mysql, dbping, systemtap, memcached).
  * Several new Linux kernel metrics (cpu steal time, IO scheduler,
    additional NFS server metrics).
  * Many portability changes for native Win32 builds under MinGW.
  * Deprecated (IRIX) pmkstat tool is now removed.
  * Old "irix." metric auto-prepend-on-failure hack removed.
  * Huge code cleanup, most/all IRIX-specific code removed.

 -- Nathan Scott <nathans@debian.org>  Mon, 01 Sep 2008 11:49:03 +1000
