=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Nathan Scott <nathans@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5)
+Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6)
 Standards-Version: 3.7.3
 
 Package: pcp
@@ -88,3 +88,28 @@
  Contains the runtime environment required by an application that is
  directly instrumented for event and value tracking by pmdatrace(3),
  the Trace Performance Metric Domain Agent.
+
+Package: libpcp-pmda-perl
+Section: perl
+Priority: optional
+Architecture: any
+Depends: ${perl:Depends}, ${shlibs:Depends}, libpcp-pmda3
+Description: Performance Co-Pilot Domain Agent Perl module
+ The PCP::PMDA Perl module contains the language bindings for
+ building Performance Metric Domain Agents (PMDAs) using Perl.
+ Each PMDA exports performance data for one specific domain, for
+ example the operating system kernel, Cisco routers, a database,
+ an application, etc.
+
+Package: libpcp-logsummary-perl
+Section: perl
+Priority: optional
+Architecture: any
+Depends: pcp
+Description: Performance Co-Pilot historical log summary module
+ The PCP::LogSummary module provides a Perl module for using the
+ statistical summary data produced by the Performance Co-Pilot
+ pmlogsummary utility.  This utility produces various averages,
+ minima, maxima, and other calculations based on the performance
+ data stored in a PCP archive.  The Perl interface is ideal for
+ exporting this data into third-party tools (e.g. spreadsheets).
