## pcp 2.8.12

=== debian/changelog ===
pcp (2.8.12) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 08 Jul 2009 16:38:44 +1000

pcp (2.8.10) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 01 Jul 2009 14:35:11 +1000

pcp (2.8.9) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Updated Perl module source build (closes: #533632).

 -- Nathan Scott <nathans@debian.org>  Wed, 01 Jul 2009 10:25:36 +1000

pcp (2.8.8) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Updated Perl PMDA module package, new version.

 -- Nathan Scott <nathans@debian.org>  Tue, 09 Jun 2009 15:00:44 +1000

pcp (2.8.7) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 29 May 2009 11:34:10 +1000

pcp (2.8.5) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Some libpcp packaging tweaks for builddefs/rules files.

 -- Nathan Scott <nathans@debian.org>  Thu, 21 May 2009 16:24:12 +1000

pcp (2.8.4) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Tue, 12 May 2009 11:51:34 +1000

pcp (2.8.3) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Mon, 11 May 2009 20:46:55 +1000

pcp (2.8.2) unstable; urgency=low

  * Fix a pmie && and || operator bug.
  * Improve daily pmie/pmlogger script behaviour.

 -- Nathan Scott <nathans@debian.org>  Fri, 24 Apr 2009 09:35:55 +1000

pcp (2.8.1) unstable; urgency=low

  * New upstream release (closes: #524451).

 -- Nathan Scott <nathans@debian.org>  Sun, 19 Apr 2009 20:03:27 +1000

pcp (2.8.0) unstable; urgency=low

  * New upstream release.
  * New packages for Memory Mapped Value (MMV) library.

 -- Nathan Scott <nathans@debian.org>  Thu, 09 Apr 2009 12:26:40 +1000

pcp (2.7.8-20090319) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Thu, 19 Mar 2009 12:28:54 +1100

pcp (2.7.8-20090306) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Fri, 06 Mar 2009 15:56:03 +1100

pcp (2.7.8-20090217) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 17 Feb 2009 08:55:16 +1100

pcp (2.7.8-20090127) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 27 Jan 2009 17:08:01 +1100

pcp (2.7.8-20081209) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 09 Dec 2008 13:19:38 +1100
