=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: pcp
 Section: utils
 Priority: extra
+Homepage: http://oss.sgi.com/projects/pcp
 Maintainer: Nathan Scott <nathans@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6)
-Standards-Version: 3.7.3
+Standards-Version: 3.8.1
 
 Package: pcp
 Depends: ${shlibs:Depends}, gawk, procps, sysv-rc-conf, cpp
 Suggests: tsocks
 Conflicts: pgpool2
-Recommends: kmchart
+Recommends: pcp-gui
 Architecture: any
 Description: System level performance monitoring and performance management
  Performance Co-Pilot (PCP) is a framework and services to
@@ -24,42 +25,109 @@
 
 Package: libpcp3-dev
 Section: libdevel
-Priority: extra
-Depends: libc6-dev | libc-dev, libpcp3 (>= 2.7.4-20080507)
-Conflicts: pcp (< 2.7.4-20080507)
+Depends: libc6-dev | libc-dev, libpcp3 (>= 2.8.0)
+Conflicts: pcp (< 2.8.0)
 Architecture: any
 Description: Performance Co-Pilot library and headers
  libpcp-dev contains the base Performance Co-Pilot (PCP) library and
  header files needed to develop both collector and monitor programs
  which make use of PCP services.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
 
 Package: libpcp3
 Depends: ${shlibs:Depends}
-Conflicts: pgpool2, pcp (< 2.7.4-20080507)
-Section: libs
-Priority: extra
+Conflicts: pgpool2, pcp (< 2.8.0), libpcp3-dev (< 2.8.5)
+Section: libs
 Architecture: any
 Description: Performance Co-Pilot library
  Contains the runtime environment required by programs that make use
  of Performance Co-Pilot services.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
+
+Package: libpcp-gui2-dev
+Section: libdevel
+Depends: libpcp3-dev
+Conflicts: libpcp-gui1-dev
+Architecture: any
+Description: Performance Co-Pilot graphical client tools library and headers
+ libpcp-gui-dev contains the Performance Co-Pilot (PCP) library and
+ header files needed to incorporate graphical time control (pmtime)
+ into a monitoring application.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
+
+Package: libpcp-gui2
+Depends: ${shlibs:Depends}
+Section: libs
+Architecture: any
+Description: Performance Co-Pilot graphical client tools library
+ Contains the runtime environment required by a monitoring tool that
+ makes use of the time control services of pmtime(1).
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
+
+Package: libpcp-mmv1-dev
+Section: libdevel
+Depends: libpcp3-dev
+Architecture: any
+Description: Performance Co-Pilot Memory Mapped Value library and headers
+ libpcp-mmv-dev contains the Performance Co-Pilot (PCP) library and
+ header files needed to utilise memory mapped value instrumentation
+ into a monitored application.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
+
+Package: libpcp-mmv1
+Depends: ${shlibs:Depends}
+Section: libs
+Architecture: any
+Description: Performance Co-Pilot Memory Mapped Value client library
+ Contains the runtime environment required by a monitored application
+ that utilises Memory Mapped Value instrumentation to export runtime
+ instrumentation into the Performance Co-Pilot infrastructure.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
 
 Package: libpcp-pmda3-dev
 Section: libdevel
-Priority: extra
-Depends: libc6-dev | libc-dev, libpcp3-dev
+Depends: libpcp3-dev
 Conflicts: pcp (< 2.7.4-20080507)
 Architecture: any
 Description: Performance Co-Pilot Domain Agent library and headers
- libpcppmda-dev contains the Performance Co-Pilot (PCP) library and
+ libpcp-pmda-dev contains the Performance Co-Pilot (PCP) library and
  header files needed to develop Performance Metric Domain Agents
  (PMDAs).  A PMDA exports performance data for one specific domain,
  for example the operating system kernel, Cisco routers, a database,
  an application, etc.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
 
 Package: libpcp-pmda3
 Depends: ${shlibs:Depends}
 Section: libs
-Priority: extra
 Architecture: any
 Description: Performance Co-Pilot Domain Agent library
  Contains the runtime environment required by a Performance Metric
@@ -69,25 +137,33 @@
 
 Package: libpcp-trace2-dev
 Section: libdevel
-Priority: extra
-Depends: libc6-dev | libc-dev, libpcp3-dev
+Depends: libpcp3-dev
 Conflicts: pcp (< 2.7.4-20080507)
 Architecture: any
 Description: Performance Co-Pilot application tracing library and headers
- libpcptrace-dev contains the Performance Co-Pilot (PCP) library and
+ libpcp-trace-dev contains the Performance Co-Pilot (PCP) library and
  header files needed to directly instrument an application for event
  and value tracking by the pmdatrace(1) PCP Trace Performance Metric
  Domain Agent.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
 
 Package: libpcp-trace2
 Depends: ${shlibs:Depends}
 Section: libs
-Priority: extra
 Architecture: any
 Description: Performance Co-Pilot application tracing library
  Contains the runtime environment required by an application that is
  directly instrumented for event and value tracking by pmdatrace(3),
  the Trace Performance Metric Domain Agent.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
 
 Package: libpcp-pmda-perl
 Section: perl
@@ -100,6 +176,11 @@
  Each PMDA exports performance data for one specific domain, for
  example the operating system kernel, Cisco routers, a database,
  an application, etc.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
 
 Package: libpcp-logsummary-perl
 Section: perl
@@ -113,3 +194,23 @@
  minima, maxima, and other calculations based on the performance
  data stored in a PCP archive.  The Perl interface is ideal for
  exporting this data into third-party tools (e.g. spreadsheets).
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
+
+Package: libpcp-mmv-perl
+Section: perl
+Priority: optional
+Architecture: any
+Depends: ${perl:Depends}, ${shlibs:Depends}, libpcp-mmv1
+Description: Performance Co-Pilot Memory Mapped Value Perl module
+ The PCP::MMV module contains the Perl language bindings for
+ building scripts instrumented with the Performance Co-Pilot
+ (PCP) Memory Mapped Value (MMV) mechanism.
+ .
+ This mechanism allows arbitrary values to be exported from an
+ instrumented script into the PCP infrastructure for monitoring
+ and analysis with pmchart, pmie, pmlogger and other PCP tools.
+
