## pcp 3.1.0

=== debian/changelog ===
pcp (3.1.0) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Added build dependency on readline library.

 -- Nathan Scott <nathans@debian.org>  Thu, 28 Jan 2010 22:09:49 +1100

pcp (3.0.3) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Thu, 10 Dec 2009 17:44:53 +1100

pcp (3.0.2) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 02 Dec 2009 12:48:38 +1100

pcp (3.0.1) unstable; urgency=low

  * Resolved issues with the Debian kFreeBSD build.
  * Reverted Fedora rc script changes (closes: #544350)
  * Add missing libpcp-mmv-perl perl dependency (closes: #552670)
  * Add missing libpcp-pmda-perl perl dependency (closes: #552671)
  * Add missing libpcp-mmv-perl dependency on libc (closes: #553247)

 -- Nathan Scott <nathans@debian.org>  Fri, 30 Oct 2009 13:54:41 +1100

pcp (3.0.0) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Original Alpha build issue resolved (closes: #541547)
  * More recent Alpha build issue resolved too (closes: #545851)

 -- Nathan Scott <nathans@debian.org>  Fri, 09 Oct 2009 12:55:12 +1100

pcp (2.9.3) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 23 Sep 2009 17:03:07 +1000

pcp (2.9.2) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Attempt to resolve Alpha platform build issues for Debian.

 -- Nathan Scott <nathans@debian.org>  Mon, 07 Sep 2009 16:26:54 +1000

pcp (2.9.1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Add Petters start script enhancements (closes: #544350)

 -- Nathan Scott <nathans@debian.org>  Wed, 02 Sep 2009 13:30:31 +1000

pcp (2.9.0) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Updated MMV and other package descriptions (closes: #537563).

 -- Nathan Scott <nathans@debian.org>  Mon, 27 Jul 2009 15:25:57 +1000
