## pcp 3.2.0

=== debian/changelog ===
pcp (3.2.0) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Several Debian packaging updates to get lintian happier.

 -- Nathan Scott <nathans@debian.org>  Thu, 29 Apr 2010 12:32:09 +1000

pcp (3.1.2) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Thu, 18 Mar 2010 08:35:56 +1100

pcp (3.1.1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Added package Recommends line on pcp for PCP Perl PMDA module.

 -- Nathan Scott <nathans@debian.org>  Tue, 23 Feb 2010 08:19:41 +1100
