## pcp 3.3.3

=== debian/changelog ===
pcp (3.3.3) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 16 Jul 2010 12:12:17 +1000

pcp (3.3.2) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Fix up inter-package dependencies (closes: #586466)

 -- Nathan Scott <nathans@debian.org>  Sat, 10 Jul 2010 12:29:15 +1000

pcp (3.3.1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Tue, 29 Jun 2010 12:10:08 +1000

pcp (3.3.0) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 25 Jun 2010 22:12:04 +1000

pcp (3.2.1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Mon, 03 May 2010 15:49:59 +1000
